arfcorrelation-class {arf3DS4} | R Documentation

## Class "arfcorrelation"

### Description

Object of class "arfcorrelation" hold information on correlations between regions of the spatial model. The functions `fitConnectivity` and `roiConnectivity` have as output an object of class "arfcorrelation".

### Objects from the Class

Objects can be created by calls of the form `new("arfcorrelation", ...)`.

### Slots

`timebyreg`:

  Trial-by-trial amplitude estimates per region (time x nreg)

`corr`:

  Correlation matrix.

`corr.pval`:

  P-values of the correlations

`pacorr`:

  Partial correlation matrix (corrected for all other regions).

`pacorr.pval`:

  P-values of partial correlations

`num.corr`:

  Number of correlations tested.

### Methods

Standard arf3DS4 accessor and replacement functions can be used to access and replace slots.

access

  `.classname.slotname(object)`

replace

  `.classname.slotname(object)<-`

In this case classname is "arfcorrelation" and slotname is for example "correlation". So to access the "correlation" slot of an r-object "arfcor" (of class "arfcorrelation") type `.arfcorrelation.correlation(arfcor)`.

### Author(s)

Wouter D. Weeda - w.d.weeda@gmail.com

### Examples

    showClass("arfcorrelation")

[Package arf3DS4 version 2.5-10 Index]